<% forums = Forum.get_forums(current_user.group) -%>
				<form name="qjump" id="qjump" method="get" action="<%= url_for :controller => 'forum', :action => 'view', :id => nil %>">
					<div><label>Jump to
					<br /><select name="id" onchange="document.qjump.submit()">
<% old_cat = nil -%>
<% for f in forums -%>
<% if old_cat != f.category -%>
<% if old_cat != nil -%>
						</optgroup>
<% end -%>
						<optgroup label="<%=h f.category.cat_name %>">
<% old_cat = f.category -%>
<% end -%>
							<option value="<%= f.id %>"<%= ' selected="selected"' if id == f.id %>><%=h f.redirect_url.blank? ? f.forum_name : f.forum_name + ' >>>' %></option>
<% end -%>
						</optgroup>
					</select>
					<input type="submit" value="Go" accesskey="g" />
					</label></div>
				</form>
